cancel
Showing results for 
Search instead for 
Did you mean: 

SoapUI version 5.4.0 integrated with maven

Highlighted
Occasional Contributor

SoapUI version 5.4.0 integrated with maven

Hi, 

 

I just get started with maven with SoapUI, when i start the built i a build failure, below the error message 

 

 

 


[INFO] ------------------------------------------------------------------------
[INFO] Building CLP-REST 1.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
Downloading: http://smartbearsoftware.com/repository/maven2/com/smartbear/soapui/soapui-project/5.4.
0/soapui-project-5.4.0.pom
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1.251 s
[INFO] Finished at: 2017-12-26T15:31:57+01:00
[INFO] Final Memory: 10M/155M
[INFO] ------------------------------------------------------------------------
[ERROR] Plugin com.smartbear.soapui:soapui-maven-plugin:5.4.0 or one of its dependencies could not b
e resolved: Failed to read artifact descriptor for com.smartbear.soapui:soapui-maven-plugin:jar:5.4.
0: Could not find artifact com.smartbear.soapui:soapui-projectSmiley Tongueom:5.4.0 in smartbear-sweden-plugin-
repository (http://smartbearsoftware.com/repository/maven2/) -> [Help 1]

 

 

 

when i check the link  http://smartbearsoftware.com/repository/maven2/com/smartbear/soapui/soapui-project/5.4.
0/soapui-project-5.4.0.pom  

 

5.4.0 has not been released but there is  maven plugin for it  at: http://smartbearsoftware.com/repository/maven2/com/smartbear/soapui/soapui-maven-plugin

 

I can't use this 5.4.0 without the release !

 

thank's for help 

 

 

2 REPLIES 2
Contributor

Re: SoapUI version 5.4.0 integrated with maven

I can execute clean/compile the source code from release-5.4.0 branch. Then, I can run SoapUi.main(). However, during making package of SoapUI installer, it shows the following message. 

 

[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building SoapUI installer 5.4.0
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 0.450 s
[INFO] Finished at: 2017-12-27T13:37:57-08:00
[INFO] Final Memory: 9M/245M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project soapui-installer: Could not resolve dependencies for project com.smartbear.soapui:soapui-installer:jar:5.4.0: Failed to collect dependencies at com.smartbear.soapui:soapui:jar:5.4.0: Failed to read artifact descriptor for com.smartbear.soapui:soapui:jar:5.4.0: Failure to find com.smartbear.soapui:soapui-projectSmiley Tongueom:5.4.0 in http://www.soapui.org/repository/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of smartbear-sweden-repository has elapsed or updates are forced -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException

 

 

New Contributor

Re: SoapUI version 5.4.0 integrated with maven

Indeed it appears that com.smartbear.soapui:soapui-project:5.4.0 is not in the Smartbear maven repository, which is preventing us from building against the latest SoapUI version.

 

I am not sure how this happened, but it looks like someone will have to run a proper mvn deploy to fix this...

New Here?
Join us and watch the welcome video:
6 / 7 API Testing Mistakes Video
Top Kudoed Authors